/*
 * FCKeditor - The text editor for internet
 * Copyright (C) 2003-2006 Frederico Caldeira Knabben
 * 
 * Licensed under the terms of the GNU Lesser General Public License:
 * 		http://www.opensource.org/licenses/lgpl-license.php
 * 
 * For further information visit:
 * 		http://www.fckeditor.net/
 * 
 * "Support Open Source software. What about a donation today?"
 * 
 * File Name: fckplugin.js
 * 	Plugin to debug "DebugWindow" in the editor.
 * 
 * File Authors:
 * 		Akira Taniguchi (akira@behappy.2-d.jp)
 */

FCKDebug.Messages = new Array() ;

FCKDebug.Output = function( message, color, noParse )
{
	if ( ! FCKConfig.Debug ) return ;
	
	var d = new Date() ;
	var sTime = 
		( d.getHours() + 100 + '' ).substr( 1,2 ) + ':' + 
		( d.getMinutes() + 100 + '' ).substr( 1,2 ) + ':' + 
		( d.getSeconds() + 100 + '' ).substr( 1,2 ) + '.' + 
		( d.getMilliseconds() + 1000 + '' ).substr( 1,3 ) ;
	
	if ( !noParse && message != null && isNaN( message ) )
		message = message.replace(/</g, "&lt;") ;
	
	if ( color )
		message = '<font color="' + color + '">' + message + '<\/font>' ;
	
	this.Messages.push( sTime + ': <b>' + message + '<\/b>' ) ;
	
	if ( !this.DebugWindow || this.DebugWindow.closed )
		this.DebugWindow = window.open( FCKPlugins.Items[ 'debug_DebugWindow' ].Path + 'fckdebug.html', 'FCKeditorDebug', 'menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500', true ) ;
	else
	{
		if ( this.DebugWindow.Output )
			this.DebugWindow.Output() ;
	}
}
